## ZendX_JQuery_Form_Decorator_UiWidgetPane

Description

Abstract Form Decorator for all jQuery UI Pane View Helpers

- copyright: Copyright (c) 2005-2008 Zend Technologies USA Inc. (http://www.zend.com)
- abstract:
- license: New BSD License

Located in /JQuery/Form/Decorator/UiWidgetPane.php (line 33)

    Zend_Form_Decorator_Abstract
       |
       --ZendX_JQuery_Form_Decorator_UiWidgetPane

Direct descendents

Class | Description
--- | ---
ZendX_JQuery_Form_Decorator_TabPane | Form Decorator for jQuery Tab Pane View Helper
ZendX_JQuery_Form_Decorator_AccordionPane | Form Decorator for jQuery Accordion Pane View Helper

Variable Summary
array $_attribs
string $_helper
array $_jQueryParams
string $_title
Method Summary
array getAttribs ()
string getHelper ()
array getJQueryParams ()
string render (string $content)
Variables
array $_attribs (line 45)

Element attributes

- access: protected

string $_helper (line 39)

View helper

- access: protected

Redefined in descendants as:

- ZendX_JQuery_Form_Decorator_TabPane::$_helper
- ZendX_JQuery_Form_Decorator_AccordionPane::$_helper

array $_jQueryParams (line 51)

jQuery option parameters

- access: protected

string $_title (line 57)

Container title

- access: protected

Methods
getAttribs (line 78)

Get element attributes

- access: public

array getAttribs ()
getHelper (line 64)

Get view helper for rendering container

- access: public

string getHelper ()
getJQueryParams (line 96)

Get jQuery option parameters

- access: public

array getJQueryParams ()
render (line 129)

Render an jQuery UI Widget Pane using its associated view helper

- throws: Zend_Form_Decorator_Exception if element or view are not registered
- throws: Zend_Form_Decorator_Exception
- access: public

string render (string $content)

- string $content

Documentation generated on Mon, 24 Aug 2009 17:58:51 -0700 by phpDocumentor 1.4.2